<script type="text/javascript">
    var ttAllowNullSender = 'Allows SMTP service to receive e-mails having no sender (&quot;MAIL FROM:<>&quot;).';
    var ttCheckMailerDomain = 'Forces SMTP service to validate the sender\'s domain (&quot;MAIL FROM:<...@domain.com>&quot;) via looking up DNS/MX entries. Messages from non-existent domains are rejected.';
    var ttSMTP_RDNSCheck = 'Points SMTP service to check public lists of blacklisted domains and IP addresses. Messages from domains/addresses in those lists will be rejected.';
    var ttSmtpMsgIPBanSpammers = 'Message to be sent to SMTP client when client\'s IP is in the SPAMMERS list (SPAMMER.TAB file).';
    var ttBayesFilter = 'Enable self-learning Bayesian filter. <b>Messages detected as spam by this filter will NOT be rejected but rather moved into Spam folder when you click Check Mail in WebMail.</b><br /><br />Once just enabled, the filter will not work effectively until the user trains it by marking a number of e-mails as spam or non-spam. At this moment, it\'s normal that after clicking Check Mail in WebMail some spam messages still! don\'t end up in Spam folder while some non-spam ones get into that folder.';
</script>
<form action="<?php echo AP_INDEX_FILE;?>?mode=submit" method="POST" id="spam_form" <?php $this->data->PrintValue('hideClass_spam') ?>>
<input type="hidden" name="form_id" value="spam">
<table class="wm_admin_center" width="650">
	<tr>
		<td width="300"></td>
		<td><br /></td>
	</tr>
	<tr>
		<td colspan="2" class="wm_safety_info">
			Sets which methods of spam and virus protection to use.
		</td>
	</tr>
	<tr><td colspan="2"><br /></td></tr>
	<tr>
		<td colspan="2" class="wm_admin_title">
			Spam and Virus Protection
		</td>
	</tr>
	<tr>
		<td>
			<label class="LabelOffset DottedText" for="box_AllowNullSender" 
				onmouseover="AddToolTip(ttAllowNullSender);" 
				onmouseout="RemoveToolTip();">Allow null sender</label>
		</td>
		<td>
			<input type="checkbox" class="wm_checkbox" id="box_AllowNullSender" value="1" 
				name="box_AllowNullSender" <?php $this->data->PrintCheckedValue('box_AllowNullSender') ?>/>
		</td>
	</tr>
	<tr>
		<td>
			<label class="LabelOffset DottedText" for="box_CheckMailerDomain"
				onmouseover="AddToolTip(ttCheckMailerDomain);" 
				onmouseout="RemoveToolTip();">Check sender's domain</label>
		</td>
		<td>
			<input type="checkbox" class="wm_checkbox" id="box_CheckMailerDomain" value="1" 
				name="box_CheckMailerDomain" <?php $this->data->PrintCheckedValue('box_CheckMailerDomain') ?>/>
		</td>
	</tr>
	<tr class="wm_hide">
		<td>
			<label class="LabelOffset DottedText" for="box_SMTP_RDNSCheck"
				onmouseover="AddToolTip(ttSMTP_RDNSCheck);" 
				onmouseout="RemoveToolTip();">SMTP-RDNS check</label>
		</td>
		<td>
			<input type="checkbox" class="wm_checkbox" id="box_SMTP_RDNSCheck" value="1" 
				name="box_SMTP_RDNSCheck" <?php $this->data->PrintCheckedValue('box_SMTP_RDNSCheck') ?>/>
		</td>
	</tr>
	<tr>
		<td>
			<label class="LabelOffset DottedText" for="box_BayesianCheck"
				onmouseover="AddToolTip(ttBayesFilter);"
				onmouseout="RemoveToolTip();">Enable bayes filter</label>
		</td>
		<td>
			<input type="checkbox" class="wm_checkbox" id="box_BayesianCheck" value="1" 
				name="box_BayesianCheck" <?php $this->data->PrintCheckedValue('box_BayesianCheck') ?>/>
		</td>
	</tr>
	<tr>
		<td>
			<label class="LabelOffset" for="box_AntivirusCheck">Enable antivirus</label>
		</td>
		<td>
			<input type="checkbox" class="wm_checkbox" id="box_AntivirusCheck" value="1" 
				name="box_AntivirusCheck" <?php $this->data->PrintCheckedValue('box_AntivirusCheck') ?>/>
		</td>
	</tr>
	<tr>
		<td colspan="2" class="wm_safety_info">
			Enables antivirus check for all incoming messages.
			It's required to adjust antivirus settings in axav.ini file (<a href="docs/anti-virus-integration.htm" target="_blank">more&nbsp;info</a>).
		</td>
	</tr>
	<tr>
		<td>
			<span class="LabelOffset DottedText"
				onmouseover="AddToolTip(ttSmtpMsgIPBanSpammers);" 
				onmouseout="RemoveToolTip();">SMTP response to banned IPs</span>
		</td>
		<td>
			<input class="wm_input wm_addmargin" type="text" id="var_SmtpMsgIPBanSpammers" 
				value="<?php $this->data->PrintInputValue('var_SmtpMsgIPBanSpammers') ?>"
				name="var_SmtpMsgIPBanSpammers" style="width: 300px;" />
		</td>
	</tr>
	<tr><td colspan="2"><hr size="1"></td></tr>
	<tr>
		<td colspan="2" align="right">
			<input type="submit" name="submit_btn" value="Save" class="wm_button" style="width: 100px">
		</td>
	</tr>
</table>
</form>